/* Опишите в этом файле все keyframes для проекта и стили анимаций иконки Like.

Будьте внимательны! Для корректной работы скриптов на этом сайте нужно, чтобы в HTML некоторые классы были названы особым образом:
✦ like-icon — для svg-иконки анимированного сердца
✦ card__like-button — для кнопки Like рядом с иконкой
✦ card__icon-button — для кнопки, оборачивающей иконку
✦ card__icon-button — для кнопки, оборачивающей иконку
✦ is-liked — для обозначения состояния лайкнутой иконки в виде сердца
✦ button__text — для обозначения текстового элемента внутри кнопки

*/

@keyframes sparks_opacity {
    0% {
        opacity: 0%;
    }
    100% {
        opacity: 100%;
    }
}

@keyframes heart_zoom {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.5);
    }
}

@keyframes arrow {
    from {
        transform: translate(0px);
    }
    to {
        transform: translate(4px);
    }
}

.like-icon .core {
    fill: var(--main-background-color, #fff);
    transition: fill 0.3s linear 0.03s;
}

.like-icon .body {
    fill: var(--main-background-color, #fff);
    transition: fill 0.3s linear;
}

.like-icon .contour {
    fill: var(--heart-contour-color, #000);
    transition: fill 0.1s linear;
}

.heart {
    transform-origin: center;
}

.like-icon .sparks {
    opacity: 0;
}

.like-icon:hover .body {
    fill: var(--heart-contour-color, #000);
    transition-delay: 0.05s;
}

.like-icon:hover .core {
    fill: var(--heart-contour-color, #000);
    transition-delay: 0s;
}

.like-icon:active .body {
    fill: var(--heart-animation_color, #ff0000);
    transition: fill 0.3s linear 0.05s;
}

.like-icon:active .core {
    fill: var(--heart-animation_color, #ff0000);
    transition: fill 0.3s linear;
}

.like-icon.is-liked .contour {
    fill: var(--heart-sparks-color, #ff0000);
    transition: fill 0.3s linear 0.06s;
}

.like-icon.is-liked .core {
    fill: var(--heart-sparks-color, #ff0000);
    transition: fill 0.3s linear;
}

.like-icon.is-liked .body {
    fill: var(--heart-sparks-color, #ff0000);
    transition: fill 0.3s linear 0.05s;
}

.like-icon.is-liked .sparks {
    animation: sparks_opacity 0.3s ease-in 0.3s alternate;
}

.like-icon.is-liked .heart {
    animation: heart_zoom 0.3s ease-in 0.1s alternate;
}